Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Video.MediaType

    java.lang.Object
      java.lang.Enum<Video.MediaType>
          com.skype.api.Video.MediaType

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Video.MediaType>

Enclosing class:
  Video

    public static enum Video.MediaType

extends java.lang.Enum<Video.MediaType>
implements EnumConverting

Enum Constant Summary
`MEDIA_SCREENSHARING`
`MEDIA_VIDEO`

Field Summary
`static int` | `MEDIA_SCREENSHARING_VALUE`
`static int` | `MEDIA_VIDEO_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Video.MediaType` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Video.MediaType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Video.MediaType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MEDIA_SCREENSHARING

    public static final Video.MediaType MEDIA_SCREENSHARING

### MEDIA_VIDEO

    public static final Video.MediaType MEDIA_VIDEO

Field Detail

### MEDIA_SCREENSHARING_VALUE

    public static final int MEDIA_SCREENSHARING_VALUE

See Also:
  Constant Field Values

### MEDIA_VIDEO_VALUE

    public static final int MEDIA_VIDEO_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Video.MediaType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Video.MediaType c : Video.MediaType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Video.MediaType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Video.MediaType get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.